# resque chef cookbook

Installs/Configures resque

## Overview

Sets up [Resque](https://github.com/defunkt/resque), "a Redis-backed Ruby library for creating background jobs, placing them on multiple queues, and processing them later."

## Attributes

* `[:resque][:dir]`                   -  (default: "/data/db/resque")
* `[:resque][:log_dir]`               -  (default: "/data/db/resque/log")
* `[:resque][:tmp_dir]`               -  (default: "/data/db/resque/tmp")
* `[:resque][:data_dir]`              -  (default: "/data/db/resque/data")
* `[:resque][:swapdir]`               -  (default: "/data/db/resque/swap")
* `[:resque][:conf_dir]`              -  (default: "/etc/resque")
* `[:resque][:dbfile]`                -  (default: "resque_queue.rdb")
* `[:resque][:cluster_name]`          -  (default: "cluster_name")
* `[:resque][:namespace]`             -  (default: "cluster_name")
* `[:resque][:user]`                  -  (default: "resque")
* `[:resque][:group]`                 -  (default: "resque")
* `[:resque][:queue_address]`         -  (default: "10.20.30.40")
* `[:resque][:queue_port]`            -  (default: "6388")
* `[:resque][:dashboard_port]`        -  (default: "6389")
* `[:resque][:redis_client_timeout]`  -  (default: "300")
* `[:resque][:redis_glueoutputbuf]`   -  (default: "yes")
* `[:resque][:redis_vm_enabled]`      -  (default: "yes")
* `[:resque][:redis_vm_max_memory]`   -  (default: "128m")
* `[:resque][:redis_vm_pages]`        -  (default: "16777216")
* `[:resque][:redis_saves]`           - 
* `[:resque][:redis_slave]`           -  (default: "no")
* `[:resque][:app_env]`               -  (default: "production")
* `[:resque][:home_dir]`              -  (default: "/data/db/resque")

## Recipes 

* `default`                  - Base configuration for resque
* `server`                   - Server


## Integration

Supports platforms: debian and ubuntu

Cookbook dependencies:
* runit
* redis


## License and Author

Author::                Philip (flip) Kromer - Infochimps, Inc (<coders@infochimps.com>)
Copyright::             2011, Philip (flip) Kromer - Infochimps, Inc

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

> readme generated by [cluster_chef](http://github.com/infochimps/cluster_chef)'s cookbook_munger
